perl-modperl mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Fred Moyer <f...@redhotpenguin.com>
Subject Re: cannot install Apache2::Request from CPAN
Date Wed, 01 Apr 2009 05:05:12 GMT
On Tue, Mar 31, 2009 at 10:00 PM, Mark Hedges <hedges@scriptdolphin.org> wrote:
>
> I can build libapreq2-2.12 from source on an i386 machine
> but not on an x86_64 virtualhost both run CentOS 5.?.

Do you have /usr/lib64 in your /etc/ld.so.conf?  Been a while since
I've done 64 bit but that always seemed to be the issue.  Run ldconfig
if needed after you add it.

>
> gcc -shared  .libs/util.o .libs/version.o .libs/cookie.o .libs/param.o .libs/parser.o
.libs/parser_urlencoded.o .libs/parser_header.o .libs/parser_multipart.o .libs/module.o .libs/module_custom.o
.libs/module_cgi.o .libs/error.o  -Wl,--rpath -Wl,/usr/lib64 -Wl,--rpath -Wl,/usr/lib64 /usr/lib64/libapr-1.so
/usr/lib64/libaprutil-1.so -lpthread -ldl -lldap -llber /usr/lib/libdb-4.3.so /usr/lib/libexpat.so
 -Wl,-soname -Wl,libapreq2.so.3 -o .libs/libapreq2.so.3.7.1
> /usr/lib/libdb-4.3.so: could not read symbols: File in wrong format
> collect2: ld returned 1 exit status
> make[2]: *** [libapreq2.la] Error 1
>
> Mark
>

Mime
View raw message